svn commit: samba r7930 - in branches/SAMBA_4_0/source/script/tests: .

tridge at samba.org tridge at samba.org
Sun Jun 26 11:34:03 GMT 2005


Author: tridge
Date: 2005-06-26 11:34:03 +0000 (Sun, 26 Jun 2005)
New Revision: 7930

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=7930

Log:
- added testing of the cifs passthru backend

- removed redundent $ADDARG code in selftest

Modified:
   branches/SAMBA_4_0/source/script/tests/selftest.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/selftest.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-06-26 10:47:31 UTC (rev 7929)
+++ branches/SAMBA_4_0/source/script/tests/selftest.sh	2005-06-26 11:34:03 UTC (rev 7930)
@@ -70,11 +70,19 @@
 	ntvfs handler = posix
 	posix:sharedelay = 100000
 	posix:eadb = $LOCKDIR/eadb.tdb
+
+[cifs]
+	read only = no
+	ntvfs handler = cifs
+        cifs:server = localhost
+        cifs:user = $USERNAME
+        cifs:password = $PASSWORD
+        cifs:domain = $DOMAIN
+	cifs:share = tmp
 EOF
 
-ADDARG="-s $CONFFILE"
 if [ x"$RUN_FROM_BUILD_FARM" = x"yes" ];then
-	ADDARG="$ADDARG --option=\"torture:progress=no\""
+	CONFIGURATION="$CONFIGURATION --option=\"torture:progress=no\""
 fi
 
 smbd_check_or_start
@@ -89,15 +97,17 @@
  # give time for nbt server to register its names
  echo delaying for nbt name registration
  sleep 4
+ bin/nmblookup -U localhost localhost 
 
  failed=0
  $SRCDIR/script/tests/test_ldap.sh localhost $USERNAME $PASSWORD || failed=`expr $failed + $?`
- $SRCDIR/script/tests/test_rpc.sh localhost $USERNAME $PASSWORD $DOMAIN $ADDARG || failed=`expr $failed + $?`
- $SRCDIR/script/tests/test_session_key.sh localhost $USERNAME $PASSWORD $DOMAIN $ADDARG || failed=`expr $failed + $?`
- $SRCDIR/script/tests/test_binding_string.sh localhost $USERNAME $PASSWORD $DOMAIN $ADDARG || failed=`expr $failed + $?`
- $SRCDIR/script/tests/test_echo.sh localhost $USERNAME $PASSWORD $DOMAIN $ADDARG || failed=`expr $failed + $?`
- $SRCDIR/script/tests/test_posix.sh //localhost/tmp $USERNAME $PASSWORD "" $ADDARG || failed=`expr $failed + $?`
- $SRCDIR/script/tests/test_local.sh $ADDARG || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_quick.sh //localhost/cifs $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_rpc.sh localhost $USERNAME $PASSWORD $DOMAIN || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_session_key.sh localhost $USERNAME $PASSWORD $DOMAIN || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_binding_string.sh localhost $USERNAME $PASSWORD $DOMAIN || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_echo.sh localhost $USERNAME $PASSWORD $DOMAIN || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_posix.sh //localhost/tmp $USERNAME $PASSWORD "" || failed=`expr $failed + $?`
+ $SRCDIR/script/tests/test_local.sh || failed=`expr $failed + $?`
  exit $failed
 ) 9>$SMBD_TEST_FIFO
 failed=$?



More information about the samba-cvs mailing list